check_pattern
Prev | Chapter 11. Internal Functions Provided | Next

## Name

check_pattern — [GENERIC] check if a pattern is in the buffer

## Synopsis

`int check_pattern (` | uint8_t * | buf,
| int | len,
| int | paglen,
| struct nand_bbt_descr * | td`)`;

## Arguments

`buf`

  the buffer to search

`len`

  the length of buffer to search

`paglen`

  the pagelength

`td`

  search pattern descriptor

## Description

Check for a pattern at the given place. Used to search bad block tables and good / bad block identifiers. If the SCAN_EMPTY option is set then check, if all bytes except the pattern area contain 0xff

Prev | Up | Next
nand_resume | Home | check_short_pattern